set ZCMD joint.2.pos-cmd ;# master Z cmd (for XYZY config)
set numextrajoints 3     ;# must agree with motmod setting
#----------------------------------------------------------

set totaljoints $::KINS(JOINTS)
set firstauxjno [expr $totaljoints - $numextrajoints]

# 1 based indexing for zux_$i
for {set i 1} {$i <= $numextrajoints} {incr i} {
  set jno [expr $firstauxjno -1 + $i]

  loadrt sum2   names=zaux_$i.sum
  loadrt limit3 names=zaux_$i.offsetlimit
  addf   zaux_$i.sum         servo-thread
  addf   zaux_$i.offsetlimit servo-thread

  # set as required, these values may not be suitable:
  setp zaux_$i.offsetlimit.max     1
  setp zaux_$i.offsetlimit.min    -1
  setp zaux_$i.offsetlimit.maxv    2
  setp zaux_$i.offsetlimit.maxa   20

  setp zaux_$i.offsetlimit.enable  0 ;# default is 1

  #net Z$i:offset-in     <= (input from sim_pin for demo)
  net  Z$i:offset-in     => zaux_$i.offsetlimit.in

  #net Z$i:offset-enable <= (input from sim_pin for demo)
  net  Z$i:offset-enable => zaux_$i.offsetlimit.enable

  net  Zaux:follow-cmd   <= $ZCMD
  net  Zaux:follow-cmd   => zaux_$i.sum.in0

  net  Z$i:offset-cmd    <= zaux_$i.offsetlimit.out
  net  Z$i:offset-cmd    => zaux_$i.sum.in1

  net  Z$i:pos-cmd       <= zaux_$i.sum.out
  net  Z$i:pos-cmd       => joint.$jno.posthome-cmd
}

